framework:
    messenger:
        # Uncomment this (and the failed transport below) to send failed messages to this transport for later handling.
        # failure_transport: failed

        transports:
            # https://symfony.com/doc/current/messenger.html#transport-configuration
             async:
                  dsn: '%env(MESSENGER_TRANSPORT_DSN)%'
                  options:
                    use_notify: true
                    check_delayed_interval: 60000
            # failed: 'doctrine://default?queue_name=failed'
            # sync: 'sync://'

        routing:
          'Application\Service\Messenger\Message\PointOfDeliveryMessage': async
            # Route your messages to the transports
            # 'App\Message\YourMessage': async

# when@test:
#    framework:
#        messenger:
#            transports:
#                # replace with your transport name here (e.g., my_transport: 'in-memory://')
#                # For more Messenger testing tools, see https://github.com/zenstruck/messenger-test
#                async: 'in-memory://'
